Subject: bug#12318: gnu date has incorrect date when using date math during a leap year

From: SciFi <[email-masked]>
Date: Fri, 31 Aug 2012 18:40:10 +0000 (UTC)

Hi,

I am just a passerby here.  But when I see these specific
kinds of "errors", especially due to "month" usages, I always
have a thought:  How would we make GNU-date to operate on the
Month Number Itself when we type "month" in the --date string,
and stop its assumption that we mean "30 days" by this usage? 
We would not need to do this fooling-around with the Day-15
trick as shown.

I think this is where the "misusage" is being done by us
plain-ol' folk.  ;)

I hope I've expressed correctly what I mean with this thought.

(And I know: "Patches welcome." <g>)

Thanks for letting me interject my thought on this.

--